Index: device-mapper.1.02.27/dmsetup/dmsetup.c
===================================================================
--- device-mapper.1.02.27.orig/dmsetup/dmsetup.c
+++ device-mapper.1.02.27/dmsetup/dmsetup.c
@@ -1088,6 +1088,7 @@ static int _export(int argc, char **argv
 	const char *name = NULL;
 	const char *uuid = NULL;
 	struct dm_info info;
+	struct dm_deps *deps;
 
 	if (data)
 		name = names->name;
@@ -1157,6 +1158,22 @@ static int _export(int argc, char **argv
 		printf("\n");
 	}
 
+	dm_task_destroy(dmt);
+
+	if (!(dmt = dm_task_create(DM_DEVICE_DEPS)))
+		goto out;
+
+	if (!_set_task_device(dmt, name, 0))
+		goto out;
+
+	if (!dm_task_run(dmt))
+		goto out;
+
+	if (!(deps = dm_task_get_deps(dmt)))
+		goto out;
+
+	printf("DM_DEPS=%d\n", deps->count);
+
 	r = 1;
       out:
 	if (dmt)
